// Enter desired voltage value in serial terminal window
// and measure resulting voltage generated from analog to
// digital conversion for PWM output

int outputPin = 3;
int pwmValue = 0;

void setup()
{
  pinMode(outputPin, OUTPUT);
  Serial.begin(9600);
  Serial.println("Enter Volts 0 to 5");
}

void loop()
{
  float volts = Serial.parseFloat();
    
  if(volts > 0) {
   Serial.print(volts); Serial.print(" volts");
   // convert volts to digital value using this formula:
   // pwmValue = volts * 255 / 5.0
    
   pwmValue = volts * 255.0 / 5.0;
   analogWrite(outputPin, pwmValue);
   // if using tiny LED voltmeter, reorted voltage will be off by 0.18 volts

   Serial.print(" which is the same as PWM value of: ");
   Serial.println(pwmValue); 
   }
   
   else { 
    // Keep last value display is not lost.
   }
}
